<template>
    <AppHero />

    <div class="container my-5">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title mb-5 text-center">
                    <h2>Featured Wedding Vendor</h2>
                    <p>Many desktop publishing packages and web page editors now use orem psum as their default model text.</p>
                </div>
            </div>
        </div>
        <div class="d-grid">
            <template v-for=" n in num">
                <AppCard/>
            </template>
        </div>
    </div>
    <section class="locations py-4">
        <div class="container my-5">
            <div class="row">
                <div class="col-md-12">
                    <div class="section-title mb-5 text-center">
                        <h2>Popular Vendors {{ counter }}</h2>
                        <p>Excepteur sint occaecat cupidatat non proident sunt.</p>
                    </div>
                </div>
            </div>
            <div class="d-grid">
                <template v-for=" n in num">
                    <AppLocation/>
                </template>
            </div>
        </div>
    </section>
</template>
<script setup>
    import { ref } from 'vue';
    import { useUserStore } from '~/store/users';
    import { storeToRefs } from 'pinia';
    
    const counter = useCounter();
    const store = useUserStore();
    const { names, todos} = storeToRefs(store);

    const num = ref(8)

</script>

<style>
.locations {
    background-color: white;
}
</style>